(function($) {
	var iframeAttrs = ' frameborder="0" scrolling="no" marginwidth="0" marginheight="0" hspace="0" vspace="0" bordercolor="#000000" align="top" scrolling="No" ';
	var settings = undefined;
	var toolbarHeight = 50;
	var methods = {
		full : function() {
			if ($("#ebod-toolbar-full").length > 0 && $("#ebodFullIfr").length == 0) {
				var title, subtitle;
				if (!settings || !settings.title) {
					title = encodeURIComponent($.trim($(".text-enciclopedia .title").text()));
					if (!title || title.length == 0) {
						title = encodeURIComponent($.trim($("html head title").text()));
					}
				} else {
					title = encodeURIComponent(settings.title);
				}
				if (!settings || !settings.subtitle) {
					subtitle = encodeURIComponent($.trim($(".text-enciclopedia .section").text()));
				} else {
					subtitle = encodeURIComponent(settings.subtitle);
				}
				var url = encodeURIComponent(location.href);
				$("#ebod-toolbar-full").html(
						'<iframe id="ebodFullIfr" src="/ebod/resources/toolbar-full_2.0.html?t=' + title + '&s=' + subtitle + '&u=' + url + '" width="100%" height="' + toolbarHeight + '" '
								+ iframeAttrs + '></iframe>');
			}
		}
	};
	$.ebodToolbar = function(method, options) {
		if (!method) {
			method = "full";
		}
		settings = $.extend({
			"title" : undefined,
			"subtitle" : undefined
		}, options);
		if (methods[method]) {
			return methods[method].apply(this, Array.prototype.slice.call(arguments, 1));
		} else if (typeof method === "object" || !method) {
			return methods.init.apply(this, arguments);
		} else {
			$.error('Method ' + method + ' does not exist on jQuery.ebodToolbar version 2');
		}
	};
})(jQuery);